FROM node:18-alpine

ARG TMDB_API_URL
ARG TMDB_API_KEY
ARG TMDB_MEDIA_URL

WORKDIR /app

COPY . .

RUN npm install

ENV TMDB_API_URL=${TMDB_API_URL}
ENV TMDB_API_KEY=${TMDB_API_KEY}
ENV TMDB_MEDIA_URL=${TMDB_MEDIA_URL}

EXPOSE 3000

CMD ["npm","run","dev"]
